diff --git a/guava-tests/test/com/google/common/base/ThrowablesTest.java b/guava-tests/test/com/google/common/base/ThrowablesTest.java
index e4c64aa..87c636d 100644
--- a/guava-tests/test/com/google/common/base/ThrowablesTest.java
+++ b/guava-tests/test/com/google/common/base/ThrowablesTest.java
@@ -26,8 +26,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 import static java.util.regex.Pattern.quote;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Iterables;
 import com.google.common.primitives.Ints;
 import com.google.common.testing.NullPointerTester;
@@ -39,7 +37,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class ThrowablesTest extends TestCase {
   public void testThrowIfUnchecked_Unchecked() {
     try {
@@ -62,7 +59,7 @@ public class ThrowablesTest extends TestCase {
     throwIfUnchecked(new SomeCheckedException());
   }
 
-  @GwtIncompatible // propagateIfPossible
+  // propagateIfPossible
   public void testPropagateIfPossible_NoneDeclared_NoneThrown() {
     Sample sample =
         new Sample() {
@@ -81,7 +78,7 @@ public class ThrowablesTest extends TestCase {
     sample.noneDeclared();
   }
 
-  @GwtIncompatible // propagateIfPossible
+  // propagateIfPossible
   public void testPropagateIfPossible_NoneDeclared_UncheckedThrown() {
     Sample sample =
         new Sample() {
@@ -104,7 +101,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible
+  // propagateIfPossible
   public void testPropagateIfPossible_NoneDeclared_UndeclaredThrown() {
     Sample sample =
         new Sample() {
@@ -127,7 +124,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class)
+  // propagateIfPossible(Throwable, Class)
   public void testPropagateIfPossible_OneDeclared_NoneThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -148,7 +145,7 @@ public class ThrowablesTest extends TestCase {
     sample.oneDeclared();
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class)
+  // propagateIfPossible(Throwable, Class)
   public void testPropagateIfPossible_OneDeclared_UncheckedThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -171,7 +168,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class)
+  // propagateIfPossible(Throwable, Class)
   public void testPropagateIfPossible_OneDeclared_CheckedThrown() {
     Sample sample =
         new Sample() {
@@ -194,7 +191,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class)
+  // propagateIfPossible(Throwable, Class)
   public void testPropagateIfPossible_OneDeclared_UndeclaredThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -217,7 +214,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class, Class)
+  // propagateIfPossible(Throwable, Class, Class)
   public void testPropagateIfPossible_TwoDeclared_NoneThrown()
       throws SomeCheckedException, SomeOtherCheckedException {
     Sample sample =
@@ -238,7 +235,7 @@ public class ThrowablesTest extends TestCase {
     sample.twoDeclared();
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class, Class)
+  // propagateIfPossible(Throwable, Class, Class)
   public void testPropagateIfPossible_TwoDeclared_UncheckedThrown()
       throws SomeCheckedException, SomeOtherCheckedException {
     Sample sample =
@@ -263,7 +260,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class, Class)
+  // propagateIfPossible(Throwable, Class, Class)
   public void testPropagateIfPossible_TwoDeclared_CheckedThrown() throws SomeOtherCheckedException {
     Sample sample =
         new Sample() {
@@ -287,7 +284,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class, Class)
+  // propagateIfPossible(Throwable, Class, Class)
   public void testPropagateIfPossible_TwoDeclared_OtherCheckedThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -319,22 +316,22 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagateIfPossible
+  // propagateIfPossible
   public void testPropageIfPossible_null() throws SomeCheckedException {
     Throwables.propagateIfPossible(null);
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class)
+  // propagateIfPossible(Throwable, Class)
   public void testPropageIfPossible_OneDeclared_null() throws SomeCheckedException {
     Throwables.propagateIfPossible(null, SomeCheckedException.class);
   }
 
-  @GwtIncompatible // propagateIfPossible(Throwable, Class, Class)
+  // propagateIfPossible(Throwable, Class, Class)
   public void testPropageIfPossible_TwoDeclared_null() throws SomeCheckedException {
     Throwables.propagateIfPossible(null, SomeCheckedException.class, SomeUncheckedException.class);
   }
 
-  @GwtIncompatible // propagate
+  // propagate
   public void testPropagate_NoneDeclared_NoneThrown() {
     Sample sample =
         new Sample() {
@@ -352,7 +349,7 @@ public class ThrowablesTest extends TestCase {
     sample.noneDeclared();
   }
 
-  @GwtIncompatible // propagate
+  // propagate
   public void testPropagate_NoneDeclared_UncheckedThrown() {
     Sample sample =
         new Sample() {
@@ -374,7 +371,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagate
+  // propagate
   public void testPropagate_NoneDeclared_ErrorThrown() {
     Sample sample =
         new Sample() {
@@ -396,7 +393,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // propagate
+  // propagate
   public void testPropagate_NoneDeclared_CheckedThrown() {
     Sample sample =
         new Sample() {
@@ -419,17 +416,17 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testThrowIfInstanceOf_Unchecked() throws SomeCheckedException {
     throwIfInstanceOf(new SomeUncheckedException(), SomeCheckedException.class);
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testThrowIfInstanceOf_CheckedDifferent() throws SomeCheckedException {
     throwIfInstanceOf(new SomeOtherCheckedException(), SomeCheckedException.class);
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testThrowIfInstanceOf_CheckedSame() {
     try {
       throwIfInstanceOf(new SomeCheckedException(), SomeCheckedException.class);
@@ -438,7 +435,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testThrowIfInstanceOf_CheckedSubclass() {
     try {
       throwIfInstanceOf(new SomeCheckedException() {}, SomeCheckedException.class);
@@ -447,7 +444,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testPropagateIfInstanceOf_NoneThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -466,7 +463,7 @@ public class ThrowablesTest extends TestCase {
     sample.oneDeclared();
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testPropagateIfInstanceOf_DeclaredThrown() {
     Sample sample =
         new Sample() {
@@ -489,7 +486,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testPropagateIfInstanceOf_UncheckedThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -512,7 +509,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testPropagateIfInstanceOf_UndeclaredThrown() throws SomeCheckedException {
     Sample sample =
         new Sample() {
@@ -536,7 +533,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testThrowIfInstanceOf_null() throws SomeCheckedException {
     try {
       throwIfInstanceOf(null, SomeCheckedException.class);
@@ -545,7 +542,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // throwIfInstanceOf
+  // throwIfInstanceOf
   public void testPropageIfInstanceOf_null() throws SomeCheckedException {
     Throwables.propagateIfInstanceOf(null, SomeCheckedException.class);
   }
@@ -625,7 +622,7 @@ public class ThrowablesTest extends TestCase {
     throw new SomeUndeclaredCheckedException();
   }
 
-  @GwtIncompatible // getStackTraceAsString(Throwable)
+  // getStackTraceAsString(Throwable)
   public void testGetStackTraceAsString() {
     class StackTraceException extends Exception {
       StackTraceException(String message) {
@@ -679,7 +676,7 @@ public class ThrowablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Throwables.getCauseAs(Throwable, Class)
+  // Throwables.getCauseAs(Throwable, Class)
   public void testGetCauseAs() {
     SomeCheckedException cause = new SomeCheckedException();
     SomeChainingException thrown = new SomeChainingException(cause);
@@ -697,7 +694,7 @@ public class ThrowablesTest extends TestCase {
   }
 
   @AndroidIncompatible // No getJavaLangAccess in Android (at least not in the version we use).
-  @GwtIncompatible // lazyStackTraceIsLazy()
+  // lazyStackTraceIsLazy()
   public void testLazyStackTraceWorksInProd() {
     // TODO(b/64442212): Remove this guard once lazyStackTrace() works in Java 9+.
     Integer javaVersion = Ints.tryParse(JAVA_SPECIFICATION_VERSION.value());
@@ -708,7 +705,7 @@ public class ThrowablesTest extends TestCase {
     assertTrue(lazyStackTraceIsLazy());
   }
 
-  @GwtIncompatible // lazyStackTrace(Throwable)
+  // lazyStackTrace(Throwable)
   public void testLazyStackTrace() {
     Exception e = new Exception();
     StackTraceElement[] originalStackTrace = e.getStackTrace();
@@ -731,7 +728,7 @@ public class ThrowablesTest extends TestCase {
     assertThat(lazyStackTrace(e)).containsExactly((Object[]) originalStackTrace).inOrder();
   }
 
-  @GwtIncompatible // lazyStackTrace
+  // lazyStackTrace
   private void doTestLazyStackTraceFallback() {
     assertFalse(lazyStackTraceIsLazy());
 
@@ -749,7 +746,7 @@ public class ThrowablesTest extends TestCase {
     assertThat(lazyStackTrace(e)).isEmpty();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     new NullPointerTester().testAllPublicStaticMethods(Throwables.class);
   }
diff --git a/guava-tests/test/com/google/common/base/ToStringHelperTest.java b/guava-tests/test/com/google/common/base/ToStringHelperTest.java
index db15f2e..de74a75 100644
--- a/guava-tests/test/com/google/common/base/ToStringHelperTest.java
+++ b/guava-tests/test/com/google/common/base/ToStringHelperTest.java
@@ -16,9 +16,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableMap;
 import java.util.Arrays;
 import java.util.Map;
 import junit.framework.TestCase;
@@ -28,10 +25,9 @@ import junit.framework.TestCase;
  *
  * @author Jason Lee
  */
-@GwtCompatible
 public class ToStringHelperTest extends TestCase {
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testConstructor_instance() {
     String toTest = MoreObjects.toStringHelper(this).toString();
     assertEquals("ToStringHelperTest{}", toTest);
@@ -42,7 +38,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testConstructor_innerClass() {
     String toTest = MoreObjects.toStringHelper(new TestClass()).toString();
     assertEquals("TestClass{}", toTest);
@@ -53,7 +49,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testConstructor_anonymousClass() {
     String toTest = MoreObjects.toStringHelper(new Object() {}).toString();
     assertEquals("{}", toTest);
@@ -64,7 +60,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testConstructor_classObject() {
     String toTest = MoreObjects.toStringHelper(TestClass.class).toString();
     assertEquals("TestClass{}", toTest);
@@ -80,7 +76,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("FooBar{}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringHelper_localInnerClass() {
     // Local inner classes have names ending like "Outer.$1Inner"
     class LocalInnerClass {}
@@ -94,7 +90,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringHelper_localInnerNestedClass() {
     class LocalInnerClass {
       class LocalInnerNestedClass {}
@@ -113,7 +109,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringHelper_moreThanNineAnonymousClasses() {
     // The nth anonymous class has a name ending like "Outer.$n"
     Object unused1 = new Object() {};
@@ -147,20 +143,20 @@ public class ToStringHelperTest extends TestCase {
   }
 
   // all remaining test are on an inner class with various fields
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_oneField() {
     String toTest = MoreObjects.toStringHelper(new TestClass()).add("field1", "Hello").toString();
     assertEquals("TestClass{field1=Hello}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_oneIntegerField() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass()).add("field1", new Integer(42)).toString();
     assertEquals("TestClass{field1=42}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_nullInteger() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass()).add("field1", (Integer) null).toString();
@@ -184,7 +180,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(".*\\{field1\\=null\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_complexFields() {
 
     Map<String, Integer> map =
@@ -230,7 +226,7 @@ public class ToStringHelperTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_addWithNullValue() {
     final String result = MoreObjects.toStringHelper(new TestClass()).add("Hello", null).toString();
 
@@ -242,7 +238,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(result, result.matches(".*\\{Hello\\=null\\}"));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_ToStringTwice() {
     MoreObjects.ToStringHelper helper =
         MoreObjects.toStringHelper(new TestClass())
@@ -261,7 +257,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals(expected2, helper.toString());
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_addValue() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -288,7 +284,7 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(toTest, toTest.matches(expected));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToString_addValueWithNullValue() {
     final String result =
         MoreObjects.toStringHelper(new TestClass())
@@ -313,14 +309,14 @@ public class ToStringHelperTest extends TestCase {
     assertTrue(result, result.matches(expected));
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_oneField() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass()).omitNullValues().add("field1", null).toString();
     assertEquals("TestClass{}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_manyFieldsFirstNull() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -332,7 +328,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("TestClass{field2=Googley, field3=World}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_manyFieldsOmitAfterNull() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -344,7 +340,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("TestClass{field2=Googley, field3=World}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_manyFieldsLastNull() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -356,14 +352,14 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("TestClass{field1=Hello, field2=Googley}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitEmptyValues_oneValue() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass()).omitNullValues().addValue(null).toString();
     assertEquals("TestClass{}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_manyValuesFirstNull() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -375,7 +371,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("TestClass{Googley, World}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_manyValuesLastNull() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
@@ -387,7 +383,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals("TestClass{Hello, Googley}", toTest);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_differentOrder() {
     String expected = "TestClass{field1=Hello, field2=Googley, field3=World}";
     String toTest1 =
@@ -408,7 +404,7 @@ public class ToStringHelperTest extends TestCase {
     assertEquals(expected, toTest2);
   }
 
-  @GwtIncompatible // Class names are obfuscated in GWT
+  // Class names are obfuscated in GWT
   public void testToStringOmitNullValues_canBeCalledManyTimes() {
     String toTest =
         MoreObjects.toStringHelper(new TestClass())
diff --git a/guava-tests/test/com/google/common/base/Utf8Test.java b/guava-tests/test/com/google/common/base/Utf8Test.java
index 049e8d2..110d8d4 100644
--- a/guava-tests/test/com/google/common/base/Utf8Test.java
+++ b/guava-tests/test/com/google/common/base/Utf8Test.java
@@ -24,9 +24,6 @@ import static java.lang.Character.MIN_HIGH_SURROGATE;
 import static java.lang.Character.MIN_LOW_SURROGATE;
 import static java.lang.Character.MIN_SUPPLEMENTARY_CODE_POINT;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import java.util.Arrays;
 import java.util.HashMap;
 import java.util.Random;
@@ -39,7 +36,6 @@ import junit.framework.TestCase;
  * @author Martin Buchholz
  * @author Clément Roux
  */
-@GwtCompatible(emulated = true)
 public class Utf8Test extends TestCase {
 
   private static final ImmutableList<String> ILL_FORMED_STRINGS;
@@ -187,19 +183,19 @@ public class Utf8Test extends TestCase {
           FOUR_BYTE_ROUNDTRIPPABLE_CHARACTERS;
 
   /** Tests that round tripping of all two byte permutations work. */
-  @GwtIncompatible // java.nio.charset.Charset
+  // java.nio.charset.Charset
   public void testIsWellFormed_1Byte() {
     testBytes(1, EXPECTED_ONE_BYTE_ROUNDTRIPPABLE_COUNT);
   }
 
   /** Tests that round tripping of all two byte permutations work. */
-  @GwtIncompatible // java.nio.charset.Charset
+  // java.nio.charset.Charset
   public void testIsWellFormed_2Bytes() {
     testBytes(2, EXPECTED_TWO_BYTE_ROUNDTRIPPABLE_COUNT);
   }
 
   /** Tests that round tripping of all three byte permutations work. */
-  @GwtIncompatible // java.nio.charset.Charset
+  // java.nio.charset.Charset
 
   public void testIsWellFormed_3Bytes() {
     testBytes(3, EXPECTED_THREE_BYTE_ROUNDTRIPPABLE_COUNT);
@@ -302,7 +298,7 @@ public class Utf8Test extends TestCase {
    * @param numBytes the number of bytes in the byte array
    * @param expectedCount the expected number of roundtrippable permutations
    */
-  @GwtIncompatible // java.nio.charset.Charset
+  // java.nio.charset.Charset
   private static void testBytes(int numBytes, long expectedCount) {
     testBytes(numBytes, expectedCount, 0, -1);
   }
@@ -317,7 +313,7 @@ public class Utf8Test extends TestCase {
    * @param lim the limit of bytes to process encoded as a long as big-endian, or -1 to mean the max
    *     limit for numBytes
    */
-  @GwtIncompatible // java.nio.charset.Charset
+  // java.nio.charset.Charset
   private static void testBytes(int numBytes, long expectedCount, long start, long lim) {
     byte[] bytes = new byte[numBytes];
     if (lim == -1) {
diff --git a/guava-tests/test/com/google/common/base/VerifyTest.java b/guava-tests/test/com/google/common/base/VerifyTest.java
index 37c6efc..fd2cfda 100644
--- a/guava-tests/test/com/google/common/base/VerifyTest.java
+++ b/guava-tests/test/com/google/common/base/VerifyTest.java
@@ -18,13 +18,10 @@ import static com.google.common.base.Verify.verify;
 import static com.google.common.base.Verify.verifyNotNull;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
 
 /** Unit test for {@link com.google.common.base.Verify}. */
-@GwtCompatible(emulated = true)
 public class VerifyTest extends TestCase {
   public void testVerify_simple_success() {
     verify(true);
@@ -93,7 +90,7 @@ public class VerifyTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     // Don't bother testing: Verify is like Preconditions. See the discussion on that class.
   }
diff --git a/guava-tests/test/com/google/common/cache/AbstractCacheTest.java b/guava-tests/test/com/google/common/cache/AbstractCacheTest.java
index 13ef33d..5eee405 100644
--- a/guava-tests/test/com/google/common/cache/AbstractCacheTest.java
+++ b/guava-tests/test/com/google/common/cache/AbstractCacheTest.java
@@ -18,8 +18,6 @@ package com.google.common.cache;
 
 import com.google.common.cache.AbstractCache.SimpleStatsCounter;
 import com.google.common.cache.AbstractCache.StatsCounter;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Lists;
 import java.util.List;
 import java.util.concurrent.atomic.AtomicReference;
diff --git a/guava-tests/test/com/google/common/cache/AndroidIncompatible.java b/guava-tests/test/com/google/common/cache/AndroidIncompatible.java
index 135f524..d7a7fbf 100644
--- a/guava-tests/test/com/google/common/cache/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/cache/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/cache/CacheBuilderFactory.java b/guava-tests/test/com/google/common/cache/CacheBuilderFactory.java
index 5426ced..ff0674a 100644
--- a/guava-tests/test/com/google/common/cache/CacheBuilderFactory.java
+++ b/guava-tests/test/com/google/common/cache/CacheBuilderFactory.java
@@ -26,7 +26,6 @@ import com.google.common.collect.Sets;
 import java.util.List;
 import java.util.Set;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Helper class for creating {@link CacheBuilder} instances with all combinations of several sets of
diff --git a/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java b/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
index 2ae8144..d7a449f 100644
--- a/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
+++ b/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
@@ -16,10 +16,6 @@
 
 package com.google.common.cache;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.FakeTicker;
 import java.util.HashSet;
 import java.util.Iterator;
@@ -37,7 +33,6 @@ import junit.framework.TestCase;
  *
  * @author Jon Donovan
  */
-@GwtCompatible
 public class CacheBuilderGwtTest extends TestCase {
 
   private FakeTicker fakeTicker;
